Mailinglist Archive: opensuse (2407 mails)

< Previous Next >
Re: [SLE] Upgrade of the Kernel on Suse62 ->Success finally
  • From: marcbill@xxxxxxxxxx (Marc Billaud)
  • Date: Mon, 14 Aug 2000 05:59:08 +0200
  • Message-id: <39976E8C.A976EE84@xxxxxxxxxx>



Hello Kastus, Everybody

I took risks finally and I decided to remove both packages that were
previously installed on my Suse62:

linclude-2.2.10-3
lx_suse-2.2.10.SuSE-2

I was so impatient to do this upgrade that I lost all prudence .I wanted
to try. So after the 2.2.10 package remove, I tried to install 2.2.14
packages with command "rpm -Uvvh". I got success with
"linclude-2.2.14-13" but it failed with
"lx_suse-2.2.14.SuSE-20.i386.rpm". I tried with the third downloaded
package "linux-2.2.14-13.i386.rpm" and it worked perfectly.

After this I did make xconfig bzImage and bzlilo whitout any pbs and now
the recognition of my zip100 and its mount are perfectly good. The
kernel compilation was made with the old compiler "gcc-2.7.2.3-42" with
egcs-990708-6. After this I tried to install the package you tell me
Kastus the "gcc-2.95.2-51.i386.rpm" but it failed. I give you part of
the result abort installation with command "rpm -Uvvh" :

D: Header + Archive: 1214478
D: expected size : 1214478
D: opening database mode 0x42 in //var/lib/rpm/
D: found 0 source and 1 binary packages
D: dependencies: looking for binutils
D: dependencies: looking for libc
D: dependencies: looking for kernel_headers
D: dependencies: looking for ld-linux.so.2
D: dependencies: looking for libc.so.6
D: dependencies: looking for libc.so.6(GLIBC_2.0)
D: dependencies: looking for libc.so.6(GLIBC_2.1)
D: dependencies: looking for gcc_o
D: dependencies: looking for minigcc
D: dependencies: looking for gccfront
D: dependencies: looking for gcc
D: dependencies: looking for gcc
D: installing binary packages
file /usr/bin/c++filt from install of gcc-2.95.2-51 conflicts with file
from package egcs-990708-6
file /usr/bin/cpp from install of gcc-2.95.2-51 conflicts with file from
package egcs-990708-6
file /usr/bin/gcc from install of gcc-2.95.2-51 conflicts with file from
package egcs-990708-6
file /usr/bin/gcov from install of gcc-2.95.2-51 conflicts with file
from package egcs-990708-6
file /usr/bin/protoize from install of gcc-2.95.2-51 conflicts with file
from package egcs-990708-6
file /usr/bin/unprotoize from install of gcc-2.95.2-51 conflicts with
file from package egcs-990708-6

It seems that package "egcs-990708-6" makes conflict with the
installation "gcc-2.95.2-51". Can I safely remove "egcs-990708-6" to
prevent this conflict and is it useful to do this upgrade now ?

I ve got another distribution a "RedHat62B" with 2.2.15 installed on
this machine and I will compare installed packages between both one. It
seems that kernel boot is faster on Rdh62 than on my Sus62 upgraded.

Thanks for help
Bye.

Marc


--
To unsubscribe send e-mail to suse-linux-e-unsubscribe@xxxxxxxx
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the FAQ at http://www.suse.com/support/faq


< Previous Next >
References